Loading...
Searching...
No Matches
VCard Class Reference
Inheritance diagram for VCard:
[legend]
Collaboration diagram for VCard:
[legend]

## Public Member Functions

| Write ( $dav_id, $exists=true)
| WriteAddresses ( $dav_id)
| WritePhones ( $dav_id)
| WriteEmails ( $dav_id)

## Detailed Description

Extend the vComponent to specifically handle VCARD resources

Definition at line 9 of file vcard.php.

## Member Function Documentation

## Write()

VCard::Write | ( |  | $dav_id,
|  |  | $exists = true )

CREATE TABLE addressbook_resource ( dav_id INT8 NOT NULL REFERENCES caldav_data(dav_id) ON UPDATE CASCADE ON DELETE CASCADE PRIMARY KEY, version TEXT, uid TEXT, nickname TEXT, fn TEXT, – fullname n TEXT, – Name Surname;First names note TEXT, org TEXT, url TEXT, fburl TEXT, caluri TEXT );

Todo
  or this is one is in the user's language

Definition at line 26 of file vcard.php.

## WriteAddresses()

VCard::WriteAddresses | ( |  | $dav_id | ) |

Break out addresses.

Definition at line 71 of file vcard.php.

## WriteEmails()

VCard::WriteEmails | ( |  | $dav_id | ) |

CREATE TABLE addressbook_address_email ( dav_id INT8 NOT NULL REFERENCES caldav_data(dav_id) ON UPDATE CASCADE ON DELETE CASCADE, type TEXT, email TEXT, property TEXT – The full text of the property );

Definition at line 150 of file vcard.php.

## WritePhones()

VCard::WritePhones | ( |  | $dav_id | ) |

Break out phones.

Definition at line 113 of file vcard.php.

The documentation for this class was generated from the following file:

- inc/vcard.php